<div class="container">
    <div class="row gutters">
        <div class="col-xl-3 col-lg-3 col-md-12 col-sm-12 col-12">
            <div class="card h-100">
                <div class="card-body">
                    <div class="account-settings">
                        <div class="user-profile">
                            <!-- <div class="user-avatar">
                        <img src="http://127.0.0.1:8887/{{user?.imageUrl}}" alt="">
                    </div> -->
                            <div class="image-container">
                                <img [src]="url ? url :'http://127.0.0.1:8887/{{user?.imageUrl}}'" alt="">
                                <br />
                                <input type='file' (change)="onSelectFile($event);handleFileInput($event)"
                                    class="select-profile-picture">
                            </div>

                            <!-- <div class="group-input">
                                <input type="file" (change)="handleFileInput($event)"
                                name="file"  class="form-control form-control-user"
                                    id="exampleRepeatPassword" placeholder="file">
                            </div> -->

                            <br />

                            <h5 class="user-name">{{user?.firstName}} {{user?.lastName}}</h5>
                            <h6 class="user-email">{{user?.email}}</h6>
                        </div>
                        <br>

                        <div class="okk" *ngIf="isadmin()">

                            <label>credibility percent</label>
                            <form [formGroup]="pourcenForm" class="needs-validation">

                                <input class="form-control" formControlName="Oldpourcentage" type="text"><br>

                            </form>
                            <button type="button" name="submit" class="btn btn-primary" style="margin-left: 37px;"
                                (click)="updateDiscount()">Update</button>

                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-9 col-lg-9 col-md-12 col-sm-12 col-12">
            <div class="card h-100">
                <form [formGroup]="userupdate">
                    <div class="card-body">
                        <div class="row gutters">
                            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                                <h4 style="color: #ff8084;font-weight: 500; font-size: 20px;">Profile</h4>
                            </div>
                            <br>
                            <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">
                                <div class="form-group">
                                    <label for="fullName" style="font-weight: 600;">First Name</label>
                                    <input type="text" class="form-control" id="fullName" formControlName="firstName">
                                </div>
                            </div>
                            <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">
                                <div class="form-group">
                                    <label for="fullName"  style="font-weight: 600;">Last Name</label>
                                    <input type="text" class="form-control" id="fullName" formControlName="lastName">
                                </div>
                            </div>
                            <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">
                                <div class="form-group">
                                    <label for="fullName"  style="font-weight: 600;">Email</label>
                                    <input type="text" class="form-control" id="fullName" formControlName="email">
                                </div>
                            </div>
                            <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">
                                <div class="form-group">
                                    <label for="phone"  style="font-weight: 600;">Phone</label>
                                    <input type="text" class="form-control" id="phone" formControlName="phone">
                                </div>
                            </div>
                            <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">
                                <div class="form-group">
                                    <label for="phone"  style="font-weight: 600;">Adresse</label>
                                    <input type="text" class="form-control" id="phone" formControlName="adresse"
                                        placeholder="Enter phone number" >
                                </div>

                            </div>
                            <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">
                                <label for="phone"  style="font-weight: 600;">Type</label>
                                <select class="form-control" id="exampleFormControlSelect1" formControlName="type">
                                    <option value=""></option>
                                    <option value="Entreprise" selected>Entreprise</option>
                                    <option value="Particulier">Particulier</option>
                                </select>
                            </div>
                            <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12"
                                *ngIf="isvendeur() && isentreprise()">
                                <div class="form-group">
                                    <label for="phone"  style="font-weight: 600;">Matricule fiscale</label>
                                    <input type="text" class="form-control" id="phone" formControlName="mat_fiscale"
                                        placeholder="Enter mat_fiscale">
                                </div>
                            </div>

                            <div *ngIf="isvendeur() && isparticulier()"
                                class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-12">
                                <div class="form-group">
                                    <label for="phone"  style="font-weight: 600;">CIN</label>
                                    <input type="text" class="form-control" id="phone" formControlName="cin"
                                        placeholder="Enter cin">
                                </div>
                            </div>
                        </div>
                        <div class="row gutters">
                            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                                <div class="text-right">
                                    <button type="button" name="submit" class="btn btn-primary"
                                        (click)="upadateuser()">Update</button>
                                </div>
                            </div>
                        </div>
                        <h4 style="color: #ff8084;font-weight: 500; font-size: 20px;">Password change</h4>
                        <form [formGroup]="changepassword" novalidate>
                            <div class="row">

                                <div class="col-md-6">
                                    <input type="password" class="form-control" formControlName="password"
                                        placeholder="New Password"
                                        [ngClass]="{ 'is-invalid': submitted && f['password'].errors }">
                                    <div *ngIf="submitted && f['password'].errors" class="invalid-feedback">
                                        <div *ngIf=" f['password'].errors['required']">password is
                                            required</div>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <input type="password" class="form-control" formControlName="confirmPassword"
                                        placeholder="Confirm Password"
                                        [ngClass]="{ 'is-invalid': submitted && f['confirmPassword'].errors }">
                                    <div *ngIf="submitted && f['confirmPassword'].errors" class="invalid-feedback">
                                        <div *ngIf="f['confirmPassword'].errors['required']">
                                            Confirm Password is required
                                        </div>
                                        <div *ngIf="f['confirmPassword'].errors['matching']">
                                            Confirm Password does not match
                                        </div>
                                    </div>
                                </div>

                                <div class="row gutters">
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                                        <div class="text-right">
                                            <button type="button" id="submit" name="submit" class="btn btn-primary"
                                                (click)="updatepassword()">Change</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </form>
            </div>